org.apache.coyote.ajp

## Class AbstractAjpProtocol

- java.lang.Object
- - org.apache.coyote.AbstractProtocol
  - - org.apache.coyote.ajp.AbstractAjpProtocol

All Implemented Interfaces:
  MBeanRegistration, ProtocolHandler

Direct Known Subclasses:
  AjpAprProtocol, AjpNioProtocol, AjpProtocol

    public abstract class AbstractAjpProtocol
    extends AbstractProtocol

### Nested Class Summary

Nested Classes
`protected static class` `AbstractAjpProtocol.AbstractAjpConnectionHandler<S,P extends AbstractAjpProcessor<S>>`

### Nested classes/interfaces inherited from class org.apache.coyote.AbstractProtocol

`AbstractProtocol.AbstractConnectionHandler<S,P extends Processor<S>>, AbstractProtocol.RecycledProcessors<P extends Processor<S>,S>`

### Field Summary

Fields
`protected int` `packetSize` AJP packet size.
`protected String` `requiredSecret` Required secret.
`protected static StringManager` `sm` The string manager for this package.
`protected boolean` `tomcatAuthentication` Should authentication be done in the native webserver layer, or in the Servlet container ?

### Fields inherited from class org.apache.coyote.AbstractProtocol

`adapter, clientCertProvider, domain, endpoint, mserver, oname, processorCache, rgOname, tpOname`

### Constructor Summary

Constructors
Constructor and Description
`AbstractAjpProtocol()`

### Method Summary

Methods
`int` `getPacketSize()`
`protected String` `getProtocolName()` Obtain the name of the protocol, (Http, Ajp, etc.).
`boolean` `getTomcatAuthentication()`
`void` `setPacketSize(int packetSize)`
`void` `setRequiredSecret(String requiredSecret)`
`void` `setTomcatAuthentication(boolean tomcatAuthentication)`

### Methods inherited from class org.apache.coyote.AbstractProtocol

`destroy, getAdapter, getAddress, getBacklog, getClientCertProvider, getConnectionCount, getConnectionTimeout, getDomain, getExecutor, getHandler, getKeepAliveTimeout, getLocalPort, getLog, getMaxConnections, getMaxHeaderCount, getMaxThreads, getMinSpareThreads, getName, getNameIndex, getNamePrefix, getObjectName, getPort, getProcessorCache, getProperty, getSoLinger, getSoTimeout, getTcpNoDelay, getThreadPriority, init, isAprRequired, pause, postDeregister, postRegister, preDeregister, preRegister, resume, setAdapter, setAddress, setBacklog, setClientCertProvider, setConnectionTimeout, setExecutor, setKeepAliveTimeout, setMaxConnections, setMaxHeaderCount, setMaxThreads, setMinSpareThreads, setPort, setProcessorCache, setProperty, setSoLinger, setSoTimeout, setTcpNoDelay, setThreadPriority, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### sm

    protected static final StringManager sm

The string manager for this package.

#### tomcatAuthentication

    protected boolean tomcatAuthentication

Should authentication be done in the native webserver layer, or in the Servlet container ?

#### requiredSecret

    protected String requiredSecret

Required secret.

#### packetSize

    protected int packetSize

AJP packet size.

### Constructor Detail

#### AbstractAjpProtocol

    public AbstractAjpProtocol()

### Method Detail

#### getProtocolName

    protected String getProtocolName()

Description copied from class: `AbstractProtocol`
Obtain the name of the protocol, (Http, Ajp, etc.). Used with JMX.

Specified by:
  `getProtocolName` in class `AbstractProtocol`

#### getTomcatAuthentication

    public boolean getTomcatAuthentication()

#### setTomcatAuthentication

    public void setTomcatAuthentication(boolean tomcatAuthentication)

#### setRequiredSecret

    public void setRequiredSecret(String requiredSecret)

#### getPacketSize

    public int getPacketSize()

#### setPacketSize

    public void setPacketSize(int packetSize)